<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<title>Taos MLS Property Search</title>
	<meta name="generator" content="BBEdit 6.5.3">
	
	<style type="text/css" media="All">
	<!--
	BODY, INPUT, SELECT		
		{
			color: #000;
			font-family: "Trebuchet MS", arial, sans-serif;
			font-size: small;
		}
	-->
	</style>


</head>
<body>

<h3>taosmls.net - Search Results</h3>

<p><img src="idx_medium.gif" alt="" border="0" align="left"> The data relating to real estate for sale in this web site comes from the Internet Data exchange ("IDX") Program of TCAR MLS, Inc. Not all members of TCAR's MLS are IDX Subscriber Brokers in the IDX Program. Real estate listings held by IDX Subscriber Brokers are marked with the IDX Logo. All data in this web site is deemed reliable but is not guaranteed.</p>

<table width="500" cellpadding="5" cellspacing="0" border="0">

<?php

   require "include/connect.inc.php";
	
   // build sql statement conditions based on variables supplied
   // decode URL encoded variables
   if ($type != "") {
   	
      $propType = urldecode($type);
      $typeCondition = "listings_$searchType.type = '$propType'";
   		
      // either append to condition string or start new one
      if (isset($conditionString)) {
	
	     $conditionString .= " AND ".$typeCondition;
		
      } else {
	 
	     $conditionString = " WHERE ".$typeCondition;
	 
      }

   }
   
   if ($coverage != "") {
   	
      $coverageType = urldecode($coverage);
      $coverageCondition = "listings_$searchType.coverage = '$coverageType'";
   		
      // either append to condition string or start new one
      if (isset($conditionString)) {
	
	     $conditionString .= " AND ".$coverageCondition;
		
      } else {
	 
	     $conditionString = " WHERE ".$coverageCondition;
	 
      }

   }
   	
   if ($area != "") {
   	
      $location = urldecode($area);
      $locationCondition = "listings_$searchType.area = '$location'";
   		
      // either append to condition string or start new one
      if (isset($conditionString)) {
	
         $conditionString .= " AND ".$locationCondition;
		
      } else {
	 
         $conditionString = " WHERE ".$locationCondition;
	 
      }
   		
   }
   	
   if ($bathrooms != "") {
   	
      // set beds condition
      $bathsCondition = "listings_$searchType.fullbaths = '$bathrooms'";
   	   
      // either append to condition string or start new one
      if (isset($conditionString)) {
	
         $conditionString .= " AND ".$bathsCondition;
		
      } else {
	 
         $conditionString = " WHERE ".$bathsCondition;
	 
      }
   	
   }
   	
   if ($bedrooms != "") {
   	
      // set beds condition
      $bedsCondition = "listings_$searchType.bedrooms = '$bedrooms'";
   	   
      // either append to condition string or start new one
      if (isset($conditionString)) {
	
         $conditionString .= " AND ".$bedsCondition;
		
      } else {
	 
         $conditionString = " WHERE ".$bedsCondition;
	 
      }
   	
   }
   	
   if ($lower != "") {
   	
      //set range
      $range = "listings_$searchType.price >= '$lower' AND listings_$searchType.price <= '$upper'";
   		
      // either append to condition string or start new one
      if (isset($conditionString)) {
   		
         $conditionString .= " AND ".$range;
   			
      } else {
   	     
         $conditionString = " WHERE ".$range;
   		 
      }
   	 
   }
   	
   //print "Condition string: ".$conditionString."<br>";

   // count results, nest into IF statement for output
   if (isset($conditionString)) {
                    
      $query_count = "SELECT * FROM listings_$searchType ".$conditionString;
    	
   } else {
    
      $query_count = "SELECT * FROM listings_$searchType";
   
   }
    
   //print $query_count; FOR DEBUG
    
    
   // check for RESULT and count rows     
   $result_count = mysql_query($query_count);      
   $totalrows = mysql_num_rows($result_count);
    
   // check for result
   if ($totalrows == 0) {
        
      print "	<h4>Sorry, there are NO properties that match your search criteria.<br>
    				Please try your search again using different criteria.</h4>
    				<input type=\"button\" value=\"Back\" onClick=\"javascript:void(history.back(-1))\"> to Search Page";
    
   } else {
    
      print "	There are ".$totalrows." $searchType properties that match your search criteria.<br><br>";
    
      // set page number if empty
      if (empty($page)) { $page = 1; }
		
      // pagination output script
      require "include/pagination.inc.php";
		  
      // set up Query
      $limitvalue = $page * $limit - ($limit);
		
      //if ($searchType = "residential") {
		
         // set query
         if (isset($conditionString)) {
						
            $query = "SELECT * FROM listings_$searchType INNER JOIN addendums USING (mls) ".$conditionString." GROUP BY listings_$searchType.mls ORDER BY listings_$searchType.price ASC LIMIT $limitvalue, $limit";
			
         } else {
		
            $query = "SELECT * FROM listings_$searchType INNER JOIN addendums USING (mls) GROUP BY listings_$searchType.mls ORDER BY listings_$searchType.price ASC LIMIT $limitvalue, $limit";
		
         }
		
         //print "<br><br>".$query."<br><br>"; FOR DEBUG
			  
         $result = mysql_query($query) or die("Error: " . mysql_error());
      
         // output results
         print "<table width=\"500\" cellpadding=\"3\" cellspacing=\"0\" border=\"0\">";
		
         while($row = mysql_fetch_array($result)) {
		
			if ($row[mls] != $lastMLS) {    
		
			   print "	<tr>
			   				<td colspan=\"2\">".$row[area]."</td>
			   			</tr>
			 			<tr>
			 				<td valign=\"top\">";
			 				
			 	// run query to find image
			 	$img_query = "SELECT * FROM images WHERE mls = '$row[mls]' LIMIT 0,1";
			 	
			 	$img_result = mysql_query($img_query) or die("Error: " . mysql_error());
			 	
			 	$img_row = mysql_fetch_array($img_result);
			 	   
			   if ($img_row[thumb] != "" ) {

					print "<a href=\"mls_details.php?propType=$searchType&mls=".$row[mls]."\"><img src=\"".$img_row[thumb]."\" border=\"2\"></a>";

				} else {
				
					print "No Image Available";
					
				}
				
				print"		</td>
			 				<td valign=\"top\">MLS # <a href=\"mls_details.php?propType=$searchType&mls=".$row[mls]."\">".$row[mls]."</a><br>".$row[addendum]."<br>
			 				$".number_format($row[price])."</td>
			 			</tr>
			 			<tr>
			 				<td colspan=\"2\">&nbsp;</td>
			 			</tr>";
			   
		   }
		   
		   $lastMLS = $row[mls];
		
		}
	
		print "</table>";
		
		if ($totalrows > $limit) {
			
			// pagination output script
			require "include/pagination.inc.php";
			
			print "<br><input type=\"button\" value=\"Back\" onClick=\"javascript:void(history.back(-1))\"> to Search Page";
			
		} else {
		
			print "<input type=\"button\" value=\"Back\" onClick=\"javascript:void(history.back(-1))\"> to Search Page";

		}
		
	}
    
//}
    
?> 
	</td>
</tr>
</table>